Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.cci
Interface Interaction

public interface Interaction

The Interaction enables a component to execute functions on the underlying resource. An object implementing the Interaction interface supports two execute() methods for interacting with the underlying resource. An Interaction is created from a Connection and maintains an association with the Connection for its entire lifetime.

Version:
  $Revision: 1.3 $

Method Summary
`void` | `clearWarnings()` Clears all warnings reported by this Interaction.
`void` | `close()` Closes an interaction
`Record` | `execute(InteractionSpec spec, Record input)` Executes the interaction specified by the InteractionSpec with the specified input.
`boolean` | `execute(InteractionSpec spec, Record input, Record output)` Executes the interaction specified by the InteractionSpec with the specified input.
`Connection` | `getConnection()` Gets the connection associated with this interaction.
`ResourceWarning` | `getWarnings()` Gets the first warning for this interaction.

Method Detail

### clearWarnings

    public void clearWarnings()
                       throws ResourceException

  Clears all warnings reported by this Interaction.

  Throws:
    `ResourceException` - Thrown if operation fails.

### close

    public void close()
               throws ResourceException

  Closes an interaction

  Throws:
    `ResourceException` - Thrown if operation fails.

### execute

    public Record execute(InteractionSpec spec,
                          Record input)
                   throws ResourceException

  Executes the interaction specified by the InteractionSpec with the specified input.

  Parameters:
    `spec` - Represents the target function on the underlying resource.
    `input` - Input Record @returns Record Output if successful, null if not.
  Throws:
    `ResourceException` - Thrown if Interaction fails.

### execute

    public boolean execute(InteractionSpec spec,
                           Record input,
                           Record output)
                    throws ResourceException

  Executes the interaction specified by the InteractionSpec with the specified input.

  Parameters:
    `spec` - Represents the target function on the underlying resource.
    `input` - Input Record
    `output` - Output record @returns boolean True if successful, false if not
  Throws:
    `ResourceException` - Thrown if Interaction fails.

### getConnection

    public Connection getConnection()

  Gets the connection associated with this interaction.

### getWarnings

    public ResourceWarning getWarnings()
                                throws ResourceException

  Gets the first warning for this interaction. @returns ResourceWarning First warning.

  Throws:
    `ResourceException` - Thrown if operation fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.